'''Entity classes specific to Left 4 Dead 2 game.'''

from . import entities

# NOTE: Bad practice, but we do it still
# This gets all the base names such as _BaseEntity and Vector into this
# namespace:
vars().update(entities.get_bases())


class info_zombie_spawn(_BaseEntity):
    '''
    A select spawnpoint for a random infected.
    
    For the list of attributes and methods, see the Valve Developer Community wiki page
    http://developer.valvesoftware.com/wiki/Info_zombie_spawn
    '''
    _flags = {
    }
    
    _data = {
        'Popuplation': '',
    }
    
    def SpawnZombie(self):
        '''Spawn a random infected.'''
        self.fire('SpawnZombie')


class weapon_ammo_spawn(_BaseEntity):
    '''
    A possible spawnpoint for ammo restock in Left 4 Dead.

    For the list of attributes and methods, see the Valve Developer Community wiki page
    http://developer.valvesoftware.com/wiki/Weapon_ammo_spawn
    '''
    _data = {
        'count': 0,
        'ammo': 0,
        'model': 'models/props/terror/ammo_stack.mdl',
    }